# Command Line Reference

Exaplan.exe accepts the following command line parameters:

<table><thead><tr><th width="279">Argument</th><th width="169">Value</th><th>Description</th></tr></thead><tbody><tr><td><code>-startup</code></td><td>string project_path</td><td>Loads a startup project (.json)</td></tr><tr><td><code>-force-device-index</code></td><td>int gpu_index</td><td>Force Exaplan to use a specific GPU for performance.</td></tr><tr><td><code>-force-d3d11</code></td><td>none</td><td>Force the application to use Direct3D 11 for rendering.</td></tr><tr><td><code>-logFile</code></td><td>string log_path</td><td>Specifiy a log file path</td></tr><tr><td><code>-log-memory-performance-stats</code></td><td>none</td><td>Adds a detailed memory report to the Player log file when closing Exaplan.</td></tr></tbody></table>

### Example <a href="#bkmrk-example-3a" id="bkmrk-example-3a"></a>

This command starts EXAPLAN with the following operations:

* Load the startup project: "startup.json"
* Forces the rendering load on the second GPU. In this case, the first GPU is a low-end monitor graphics card running the UI display, and the 2nd is the high-performance card.

```
C:\Exaplan\Exaplan.exe -startup "C:\Users\VIOSOCAVE\Documents\startup.json" -force-device-index 1
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.exaplan.one/references/command-line-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
